> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# SAP Fieldglass

> Access the SAP Fieldglass API in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *SAP Fieldglass*.
>
> **2. Authorize SAP Fieldglass**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your SAP Fieldglass credentials. Later, you'll let your users do the same directly from your app.
>
> **3. Call the SAP Fieldglass API**
>
> Let's make your first request to the SAP Fieldglass API (Get a list of audit trails). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl "https://api.nango.dev/proxy/api/vc/auditTrail" \
> >   -H "Authorization: Bearer <NANGO-API-KEY>" \
> >   -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >   -H "Connection-Id: <CONNECTION-ID>"
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const response = await nango.get({
> >   // https://help.sap.com/docs/SAP_FIELDGLASS_INTEGRATION/37b387b915784cea97b8a6677ab0d525/2413bd3b64bb40cbaf96397d4560dc98.html
> >   endpoint: '/api/vc/auditTrail',
> >   providerConfigKey: '<INTEGRATION-ID>',
> >   connectionId: '<CONNECTION-ID>'
> > });
> >
> > console.log(response.data);
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their SAP Fieldglass accounts.

> [tab] 🔗 Useful links
>
> | Topic | Links |
> | - | - |
> | Authorization | [Guide to connect to SAP Fieldglass using Connect UI](https://nango.dev/docs/integrations/all/sap-fieldglass/connect) |
> | General | [SAP Fieldglass Website](https://www.fieldglass.com/) |
> | Developer | [SAP Fieldglass Integration Guide](https://help.sap.com/docs/SAP_FIELDGLASS_INTEGRATION/1befd97581554895bb7fcfca6049f53e/37676614e64f454c8aa6188c5328d0d8.html) |
> | | [OAuth 2.0 Authentication](https://help.sap.com/docs/SAP_FIELDGLASS_INTEGRATION/1befd97581554895bb7fcfca6049f53e/2eb112386ca348cb8a7da962d25ddaef.html) |
> | | [How the REST API Resource Works](https://help.sap.com/docs/SAP_FIELDGLASS_INTEGRATION/1befd97581554895bb7fcfca6049f53e/652c911c1b014bdc9bcf6a8305124e52.html) |
> | | [SAP Fieldglass Connector Library](https://help.sap.com/docs/SAP_FIELDGLASS_INTEGRATION/9cfd5c12ee3046d59453e73974f9c4b7/de446f74158b4f09be8766e3673fee2c.html) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/sap-fieldglass.mdx)

> [tab] 🚨 API gotchas
>
> *None yet, add yours!*
>
> > [!NOTE]
> >
> > Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/sap-fieldglass.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.